/*
 * Copyright (C) 2010 FUJITSU LIMITED
 */
package com.sun.corba.ee.impl.folb;

import java.util.LinkedList;
import java.util.Map;

import com.fujitsu.interstage.javaee.admin.InstanceStatusInfo;

public class InstanceStatusEventQueue {

    private LinkedList<Map<String, InstanceStatusInfo>> statusQueue = 
        new LinkedList<Map<String, InstanceStatusInfo>>();

    public synchronized Map<String, InstanceStatusInfo> getStatusMap() {
        while (statusQueue.size() == 0) {
            try {
                System.out.println("wwwwwwwwwww wait in getStatusMap()");
                wait();
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
        Map<String, InstanceStatusInfo> event = statusQueue.getLast();
        statusQueue.clear();
        return event;
    }

    public synchronized void addStatusMap(Map<String, InstanceStatusInfo> map) {
        statusQueue.add(map);
        this.notifyAll();
    }
}
