package com.fujitsu.interstage.javaee.admin.event;

import com.fujitsu.interstage.javaee.admin.event.JndiServiceChangeEvent;
import com.fujitsu.interstage.javaee.admin.event.JndiServiceChangeEventListener;
import com.sun.enterprise.admin.event.AdminEventListenerException;
import com.sun.enterprise.config.serverbeans.ServerTags;

public class JndiServiceChangeEventListenerImpl implements
        JndiServiceChangeEventListener {

    public void jndiServiceChangeChanged(JndiServiceChangeEvent event)
            throws AdminEventListenerException {
        String attrName = event.getAttrName();
        String val = event.getNewAttrValue();
        if(ServerTags.REMOTE_OR_CACHE.equals(attrName)){
//            SerialContextProviderImpl.setIsRemoteOrCache(getBoolean(val));
        }else if(ServerTags.NAMING_SERVICE_URL.equals(attrName)){
//            SerialContextProviderImpl.setNamingServiceUrl(val);
        }
    }
    
    /**
     * Convert value to boolean.
     * @param value
     * @return TRUE: "yes,on,1" in lower case, or "true" both lower case and capital
     * FALSE: not in the situation of TRUE.
     */
    private boolean getBoolean(String value){
        if(value == null || value.trim().equals("")){
            return false;
        }
        
        if("true".equalsIgnoreCase(value) || 
            "1".equals(value) ||
            "yes".equals(value) ||
            "on".equals(value)){
            return true;
        }else{
            return false;
        }
    }

}
