/*
 * Copyright (C) 2010 FUJITSU LIMITED
 */
package com.sun.corba.ee.impl.folb;

public class TargetClusterInfo {
    
    /**
     * EJB Dispatcher's Target cluster name.
     */
    private String name = "";
    
    /**
     * How many EJB applications were deployed on this cluster.
     */
    private int appCount = 0;
        
    public TargetClusterInfo (String clusterName){
        name = clusterName;
    }
    
    public synchronized int increase(){
        appCount += 1;
        return appCount;
    }
    
    public synchronized int decrease(){
        appCount -= 1;
        return appCount;
    }
    
    public synchronized int getAppCount() {
        return appCount;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
          
}
