/*
 * Copyright (C) 2010 FUJITSU LIMITED
 */

package com.sun.corba.ee.impl.folb;

import java.util.Hashtable;

public class IiopDispatchServiceClient {


    private static IiopDispatchServiceClient instance = null;
    private Hashtable<String, org.omg.CORBA.Object> referencesOfAdapter = new Hashtable<String, org.omg.CORBA.Object>();

    private IiopDispatchServiceClient() {
    }

    public static synchronized IiopDispatchServiceClient getInstance() {
        if (instance == null) {
            instance = new IiopDispatchServiceClient();
        }
        return instance;
    }

    public synchronized void addAdapterInformation(String childAdapterName,
            org.omg.CORBA.Object reference) {
        referencesOfAdapter.put(childAdapterName, reference);
    }

    public synchronized void deleteAdapterInformation(String childAdapterName) {
        referencesOfAdapter.remove(childAdapterName);
    }

    public synchronized Hashtable<String, org.omg.CORBA.Object> getAllAdapterInformation() {
        return referencesOfAdapter;
    }

}
